Bug 1473302 - (CVE-2017-10684) CVE-2017-10684 ncurses: Stack-based buffer overflow in fmt_entry function in dump_entry.c
CVE-2017-10684 ncurses: Stack-based buffer overflow in fmt_entry function in ...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20170624,repor...
: Security
: 1464687 CVE-2017-10685 (view as bug list)
Depends On: 1464687
Blocks: 1473315
  Show dependency treegraph
 
Reported: 2017-07-20 08:44 EDT by Adam Mariš
Modified: 2017-07-26 09:13 EDT (History)
3 users (show)

See Also:
Fixed In Version: ncurses 6.0-20170701
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-25 08:54:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2017-07-20 08:44:57 EDT
A stack-based buffer overflow in the fmt_entry function in dump_entry.c was found.

Product bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1464687

Upstream patch:

https://lists.gnu.org/archive/html/bug-ncurses/2017-07/msg00001.html
Comment 1 Adam Mariš 2017-07-20 08:59:10 EDT
*** Bug 1473312 has been marked as a duplicate of this bug. ***
Comment 3 Stefan Cornelius 2017-07-24 09:28:36 EDT
Mitigated by stack canaries/cookies.
Comment 4 Stefan Cornelius 2017-07-25 08:54:30 EDT
Statement:

Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.
Comment 5 Miroslav Lichvar 2017-07-26 09:13:03 EDT
*** Bug 1464687 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.